[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowRef

# Class: WindowRef\<D, R\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:21](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L21)

## Extends

- `Subject`\<`R`\>

## Type Parameters

• **D** = `any`

• **R** = `any`

## Constructors

### new WindowRef()

> **new WindowRef**\<`D`, `R`\>(`overlayRef`, `overlay`, `settings`): [`WindowRef`](WindowRef.md)\<`D`, `R`\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:47](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L47)

#### Parameters

##### overlayRef

`OverlayRef`

##### overlay

`Overlay`

##### settings

[`WindowSettings`](../interfaces/WindowSettings.md)\<`D`\>

#### Returns

[`WindowRef`](WindowRef.md)\<`D`, `R`\>

#### Overrides

`Subject<R>.constructor`

## Properties

### attachedRef$

> **attachedRef$**: `ReplaySubject`\<`ComponentRef`\<`any`\> \| `EmbeddedViewRef`\<`any`\>\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:31](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L31)

***

### closed

> **closed**: `boolean`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:12

#### Inherited from

`Subject.closed`

***

### ~~closed$~~

> `readonly` **closed$**: `Subject`\<`undefined` \| `R`\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:29](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L29)

#### Deprecated

removed. use the subscribe method and wait for the resolve event

***

### footerPortal$

> **footerPortal$**: `ReplaySubject`\<`Portal`\<`any`\>\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:35](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L35)

**`Internal`**

***

### ~~hasError~~

> **hasError**: `boolean`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:19

#### Deprecated

Internal implementation detail, do not use directly. Will be made internal in v8.

#### Inherited from

`Subject.hasError`

***

### height$

> `readonly` **height$**: `BehaviorSubject`\<`string`\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:24](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L24)

***

### ~~isStopped~~

> **isStopped**: `boolean`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:17

#### Deprecated

Internal implementation detail, do not use directly. Will be made internal in v8.

#### Inherited from

`Subject.isStopped`

***

### ~~observers~~

> **observers**: `Observer`\<`R`\>[]

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:15

#### Deprecated

Internal implementation detail, do not use directly. Will be made internal in v8.

#### Inherited from

`Subject.observers`

***

### ~~operator~~

> **operator**: `undefined` \| `Operator`\<`any`, `R`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:19

#### Deprecated

Internal implementation detail, do not use directly. Will be made internal in v8.

#### Inherited from

`Subject.operator`

***

### overlay

> `protected` `readonly` **overlay**: `Overlay`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:49](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L49)

***

### overlayRef

> `protected` `readonly` **overlayRef**: `OverlayRef`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:48](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L48)

***

### settings

> `protected` `readonly` **settings**: [`WindowSettings`](../interfaces/WindowSettings.md)\<`D`\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:50](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L50)

***

### settings$

> **settings$**: `ReplaySubject`\<[`WindowSettings`](../interfaces/WindowSettings.md)\<`any`\>\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:40](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L40)

***

### ~~source~~

> **source**: `undefined` \| `Observable`\<`any`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:15

#### Deprecated

Internal implementation detail, do not use directly. Will be made internal in v8.

#### Inherited from

`Subject.source`

***

### ~~thrownError~~

> **thrownError**: `any`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:21

#### Deprecated

Internal implementation detail, do not use directly. Will be made internal in v8.

#### Inherited from

`Subject.thrownError`

***

### titlePortal$

> **titlePortal$**: `ReplaySubject`\<`Portal`\<`any`\>\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:39](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L39)

**`Internal`**

***

### width$

> `readonly` **width$**: `BehaviorSubject`\<`string`\>

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:23](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L23)

***

### ~~create()~~

> `static` **create**: (...`args`) => `any`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:28

Creates a "subject" by basically gluing an observer to an observable.

#### Parameters

##### args

...`any`[]

#### Returns

`any`

#### Nocollapse

#### Deprecated

Recommended you do not use. Will be removed at some point in the future. Plans for replacement still under discussion.

#### Inherited from

`Subject.create`

## Accessors

### draggable

#### Get Signature

> **get** **draggable**(): `undefined` \| `boolean`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:63](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L63)

##### Returns

`undefined` \| `boolean`

***

### id

#### Get Signature

> **get** **id**(): `undefined` \| `string`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:55](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L55)

##### Returns

`undefined` \| `string`

***

### isMinimized

#### Get Signature

> **get** **isMinimized**(): `boolean`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:83](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L83)

##### Returns

`boolean`

***

### maxHeight

#### Get Signature

> **get** **maxHeight**(): `undefined` \| `string`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:79](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L79)

##### Returns

`undefined` \| `string`

***

### maxWidth

#### Get Signature

> **get** **maxWidth**(): `undefined` \| `string`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:75](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L75)

##### Returns

`undefined` \| `string`

***

### minHeight

#### Get Signature

> **get** **minHeight**(): `undefined` \| `string`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:71](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L71)

##### Returns

`undefined` \| `string`

***

### minimizable

#### Get Signature

> **get** **minimizable**(): `undefined` \| `boolean`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:59](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L59)

##### Returns

`undefined` \| `boolean`

***

### minWidth

#### Get Signature

> **get** **minWidth**(): `undefined` \| `string`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:67](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L67)

##### Returns

`undefined` \| `string`

***

### observed

#### Get Signature

> **get** **observed**(): `boolean`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:36

##### Returns

`boolean`

#### Inherited from

`Subject.observed`

## Methods

### asObservable()

> **asObservable**(): `Observable`\<`R`\>

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:43

Creates a new Observable with this Subject as the source. You can do this
to create custom Observer-side logic of the Subject and conceal it from
code that uses the Observable.

#### Returns

`Observable`\<`R`\>

Observable that the Subject casts to

#### Inherited from

`Subject.asObservable`

***

### ~~close()~~

> **close**(`result`?): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:91](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L91)

#### Parameters

##### result?

`R`

#### Returns

`void`

#### Deprecated

removed. use the complete method

***

### complete()

> **complete**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:99](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L99)

#### Returns

`void`

#### Overrides

`Subject.complete`

***

### error()

> **error**(`err`): `void`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:33

#### Parameters

##### err

`any`

#### Returns

`void`

#### Inherited from

`Subject.error`

***

### forEach()

#### Call Signature

> **forEach**(`next`): `Promise`\<`void`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:97

Used as a NON-CANCELLABLE means of subscribing to an observable, for use with
APIs that expect promises, like `async/await`. You cannot unsubscribe from this.

**WARNING**: Only use this with observables you *know* will complete. If the source
observable does not complete, you will end up with a promise that is hung up, and
potentially all of the state of an async function hanging out in memory. To avoid
this situation, look into adding something like timeout, take,
takeWhile, or takeUntil amongst others.

#### Example

```ts
import { interval, take } from 'rxjs';

const source$ = interval(1000).pipe(take(4));

async function getTotal() {
  let total = 0;

  await source$.forEach(value => {
    total += value;
    console.log('observable -> ' + value);
  });

  return total;
}

getTotal().then(
  total => console.log('Total: ' + total)
);

// Expected:
// 'observable -> 0'
// 'observable -> 1'
// 'observable -> 2'
// 'observable -> 3'
// 'Total: 6'
```

##### Parameters

###### next

(`value`) => `void`

a handler for each value emitted by the observable

##### Returns

`Promise`\<`void`\>

a promise that either resolves on observable completion or
 rejects with the handled error

##### Inherited from

`Subject.forEach`

#### Call Signature

> **forEach**(`next`, `promiseCtor`): `Promise`\<`void`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:109

##### Parameters

###### next

(`value`) => `void`

a handler for each value emitted by the observable

###### promiseCtor

`PromiseConstructorLike`

a constructor function used to instantiate the Promise

##### Returns

`Promise`\<`void`\>

a promise that either resolves on observable completion or
 rejects with the handled error

##### Deprecated

Passing a Promise constructor will no longer be available
in upcoming versions of RxJS. This is because it adds weight to the library, for very
little benefit. If you need this functionality, it is recommended that you either
polyfill Promise, or you create an adapter to convert the returned native promise
to whatever promise implementation you wanted. Will be removed in v8.

##### Inherited from

`Subject.forEach`

***

### fullScreen()

> **fullScreen**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:171](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L171)

#### Returns

`void`

***

### getHeight()

> **getHeight**(): `string`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:147](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L147)

#### Returns

`string`

***

### getPos()

> **getPos**(): `object`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:163](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L163)

#### Returns

`object`

##### x

> **x**: `string`

##### y

> **y**: `string`

***

### getSizeConfig()

> **getSizeConfig**(): `OverlaySizeConfig`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:114](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L114)

#### Returns

`OverlaySizeConfig`

***

### getWidth()

> **getWidth**(): `string`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:142](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L142)

#### Returns

`string`

***

### ~~lift()~~

> **lift**\<`R`\>(`operator`): `Observable`\<`R`\>

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:31

#### Type Parameters

• **R**

#### Parameters

##### operator

`Operator`\<`R`, `R`\>

#### Returns

`Observable`\<`R`\>

#### Deprecated

Internal implementation detail, do not use directly. Will be made internal in v8.

#### Inherited from

`Subject.lift`

***

### minimize()

> **minimize**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:104](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L104)

#### Returns

`void`

***

### next()

> **next**(`value`): `void`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:32

#### Parameters

##### value

`R`

#### Returns

`void`

#### Inherited from

`Subject.next`

***

### pipe()

#### Call Signature

> **pipe**(): `Observable`\<`R`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:110

##### Returns

`Observable`\<`R`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`\>(`op1`): `Observable`\<`A`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:111

##### Type Parameters

• **A**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

##### Returns

`Observable`\<`A`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`\>(`op1`, `op2`): `Observable`\<`B`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:112

##### Type Parameters

• **A**

• **B**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

##### Returns

`Observable`\<`B`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`, `C`\>(`op1`, `op2`, `op3`): `Observable`\<`C`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:113

##### Type Parameters

• **A**

• **B**

• **C**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

###### op3

`OperatorFunction`\<`B`, `C`\>

##### Returns

`Observable`\<`C`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`, `C`, `D`\>(`op1`, `op2`, `op3`, `op4`): `Observable`\<`D`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:114

##### Type Parameters

• **A**

• **B**

• **C**

• **D**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

###### op3

`OperatorFunction`\<`B`, `C`\>

###### op4

`OperatorFunction`\<`C`, `D`\>

##### Returns

`Observable`\<`D`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`, `C`, `D`, `E`\>(`op1`, `op2`, `op3`, `op4`, `op5`): `Observable`\<`E`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:115

##### Type Parameters

• **A**

• **B**

• **C**

• **D**

• **E**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

###### op3

`OperatorFunction`\<`B`, `C`\>

###### op4

`OperatorFunction`\<`C`, `D`\>

###### op5

`OperatorFunction`\<`D`, `E`\>

##### Returns

`Observable`\<`E`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`, `C`, `D`, `E`, `F`\>(`op1`, `op2`, `op3`, `op4`, `op5`, `op6`): `Observable`\<`F`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:116

##### Type Parameters

• **A**

• **B**

• **C**

• **D**

• **E**

• **F**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

###### op3

`OperatorFunction`\<`B`, `C`\>

###### op4

`OperatorFunction`\<`C`, `D`\>

###### op5

`OperatorFunction`\<`D`, `E`\>

###### op6

`OperatorFunction`\<`E`, `F`\>

##### Returns

`Observable`\<`F`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`, `C`, `D`, `E`, `F`, `G`\>(`op1`, `op2`, `op3`, `op4`, `op5`, `op6`, `op7`): `Observable`\<`G`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:117

##### Type Parameters

• **A**

• **B**

• **C**

• **D**

• **E**

• **F**

• **G**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

###### op3

`OperatorFunction`\<`B`, `C`\>

###### op4

`OperatorFunction`\<`C`, `D`\>

###### op5

`OperatorFunction`\<`D`, `E`\>

###### op6

`OperatorFunction`\<`E`, `F`\>

###### op7

`OperatorFunction`\<`F`, `G`\>

##### Returns

`Observable`\<`G`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`, `C`, `D`, `E`, `F`, `G`, `H`\>(`op1`, `op2`, `op3`, `op4`, `op5`, `op6`, `op7`, `op8`): `Observable`\<`H`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:118

##### Type Parameters

• **A**

• **B**

• **C**

• **D**

• **E**

• **F**

• **G**

• **H**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

###### op3

`OperatorFunction`\<`B`, `C`\>

###### op4

`OperatorFunction`\<`C`, `D`\>

###### op5

`OperatorFunction`\<`D`, `E`\>

###### op6

`OperatorFunction`\<`E`, `F`\>

###### op7

`OperatorFunction`\<`F`, `G`\>

###### op8

`OperatorFunction`\<`G`, `H`\>

##### Returns

`Observable`\<`H`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`, `C`, `D`, `E`, `F`, `G`, `H`, `I`\>(`op1`, `op2`, `op3`, `op4`, `op5`, `op6`, `op7`, `op8`, `op9`): `Observable`\<`I`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:119

##### Type Parameters

• **A**

• **B**

• **C**

• **D**

• **E**

• **F**

• **G**

• **H**

• **I**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

###### op3

`OperatorFunction`\<`B`, `C`\>

###### op4

`OperatorFunction`\<`C`, `D`\>

###### op5

`OperatorFunction`\<`D`, `E`\>

###### op6

`OperatorFunction`\<`E`, `F`\>

###### op7

`OperatorFunction`\<`F`, `G`\>

###### op8

`OperatorFunction`\<`G`, `H`\>

###### op9

`OperatorFunction`\<`H`, `I`\>

##### Returns

`Observable`\<`I`\>

##### Inherited from

`Subject.pipe`

#### Call Signature

> **pipe**\<`A`, `B`, `C`, `D`, `E`, `F`, `G`, `H`, `I`\>(`op1`, `op2`, `op3`, `op4`, `op5`, `op6`, `op7`, `op8`, `op9`, ...`operations`): `Observable`\<`unknown`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:120

##### Type Parameters

• **A**

• **B**

• **C**

• **D**

• **E**

• **F**

• **G**

• **H**

• **I**

##### Parameters

###### op1

`OperatorFunction`\<`R`, `A`\>

###### op2

`OperatorFunction`\<`A`, `B`\>

###### op3

`OperatorFunction`\<`B`, `C`\>

###### op4

`OperatorFunction`\<`C`, `D`\>

###### op5

`OperatorFunction`\<`D`, `E`\>

###### op6

`OperatorFunction`\<`E`, `F`\>

###### op7

`OperatorFunction`\<`F`, `G`\>

###### op8

`OperatorFunction`\<`G`, `H`\>

###### op9

`OperatorFunction`\<`H`, `I`\>

###### operations

...`OperatorFunction`\<`any`, `any`\>[]

##### Returns

`Observable`\<`unknown`\>

##### Inherited from

`Subject.pipe`

***

### reopen()

> **reopen**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:108](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L108)

#### Returns

`void`

***

### setAttachedRef()

> **setAttachedRef**(`attachedRef`): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:204](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L204)

#### Parameters

##### attachedRef

`ComponentRef`\<`any`\> | `EmbeddedViewRef`\<`any`\>

#### Returns

`void`

***

### setFooterPortal()

> **setFooterPortal**(`portal`): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:192](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L192)

#### Parameters

##### portal

`Portal`\<`any`\>

#### Returns

`void`

***

### setHeight()

> **setHeight**(`height`): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:134](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L134)

#### Parameters

##### height

`string`

#### Returns

`void`

***

### setPos()

> **setPos**(`x`, `y`): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:152](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L152)

#### Parameters

##### x

`string`

##### y

`string`

#### Returns

`void`

***

### setTitlePortal()

> **setTitlePortal**(`portal`): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:198](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L198)

#### Parameters

##### portal

`Portal`\<`any`\>

#### Returns

`void`

***

### setWidth()

> **setWidth**(`width`): `void`

Defined in: [packages/angular/window-system/src/lib/window-ref.ts:126](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-ref.ts#L126)

#### Parameters

##### width

`string`

#### Returns

`void`

***

### subscribe()

#### Call Signature

> **subscribe**(`observerOrNext`?): `Subscription`

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:50

##### Parameters

###### observerOrNext?

`Partial`\<`Observer`\<`R`\>\> | (`value`) => `void`

##### Returns

`Subscription`

##### Inherited from

`Subject.subscribe`

#### Call Signature

> **subscribe**(`next`?, `error`?, `complete`?): `Subscription`

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:52

##### Parameters

###### next?

`null` | (`value`) => `void`

###### error?

`null` | (`error`) => `void`

###### complete?

`null` | () => `void`

##### Returns

`Subscription`

##### Deprecated

Instead of passing separate callback arguments, use an observer argument. Signatures taking separate callback arguments will be removed in v8. Details: https://rxjs.dev/deprecations/subscribe-arguments

##### Inherited from

`Subject.subscribe`

***

### ~~toPromise()~~

#### Call Signature

> **toPromise**(): `Promise`\<`undefined` \| `R`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:122

##### Returns

`Promise`\<`undefined` \| `R`\>

##### Deprecated

Replaced with firstValueFrom and lastValueFrom. Will be removed in v8. Details: https://rxjs.dev/deprecations/to-promise

##### Inherited from

`Subject.toPromise`

#### Call Signature

> **toPromise**(`PromiseCtor`): `Promise`\<`undefined` \| `R`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:124

##### Parameters

###### PromiseCtor

`PromiseConstructor`

##### Returns

`Promise`\<`undefined` \| `R`\>

##### Deprecated

Replaced with firstValueFrom and lastValueFrom. Will be removed in v8. Details: https://rxjs.dev/deprecations/to-promise

##### Inherited from

`Subject.toPromise`

#### Call Signature

> **toPromise**(`PromiseCtor`): `Promise`\<`undefined` \| `R`\>

Defined in: node\_modules/rxjs/dist/types/internal/Observable.d.ts:126

##### Parameters

###### PromiseCtor

`PromiseConstructorLike`

##### Returns

`Promise`\<`undefined` \| `R`\>

##### Deprecated

Replaced with firstValueFrom and lastValueFrom. Will be removed in v8. Details: https://rxjs.dev/deprecations/to-promise

##### Inherited from

`Subject.toPromise`

***

### unsubscribe()

> **unsubscribe**(): `void`

Defined in: node\_modules/rxjs/dist/types/internal/Subject.d.ts:35

#### Returns

`void`

#### Inherited from

`Subject.unsubscribe`
